petsc-3.6.2 2015-10-02
Report Typos and Errors

# KSPSetReusePreconditioner

reuse the current preconditioner, do not construct a new one even if the operator changes

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSetReusePreconditioner(KSP ksp,PetscBool flag)

Collective on KSP

### Input Parameters

| ksp | - iterative context obtained from KSPCreate()
| flag | - PETSC_TRUE to reuse the current preconditioner

### Keywords

KSP, setup

### See Also

KSPCreate(), KSPSolve(), KSPDestroy(), PCSetReusePreconditioner()

Level:intermediate
Location:src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex6f.F.html